package multiGR.model;

import java.util.List;

public abstract interface ModelInterface {
	int getSize();
	void setInitialState(State s);
	State getInitialState();
	State getErrorState();
	List<Transition> getUpdatedPart();
	State getState(int i);
	String getName();
}
